<?
define('GAME', true);
include('_incl_data/__config.php');
include('_incl_data/class/__db_connect.php');
include('_incl_data/class/__chat_class.php');
include('_incl_data/class/__filter_class.php');
require_once '_incl_data/mails.php';

function getIp()
{
    $keys = [
        'HTTP_CLIENT_IP',
        'HTTP_X_FORWARDED_FOR',
        'REMOTE_ADDR'
    ];
    foreach ($keys as $key) {
        if (!empty($_SERVER[$key])) {
            $iparr = explode(',', $_SERVER[$key]);
            $ip = trim(end($iparr));
            if (filter_var($ip, FILTER_VALIDATE_IP)) {
                return $ip;
            }
        }
    }
}

function add_effn($uid, $id)
{
    $g = [0 => 0, 1 => ''];
    $eff = mysql_fetch_array(mysql_query('SELECT * FROM `eff_main` WHERE `id2` = "' . $id . '" LIMIT 1'));
    if (isset($eff['id2'])) {
        $n = $eff['mname'];
        $d = $eff['mdata'];
        $ins = mysql_query('INSERT INTO `eff_users` (`overType`,`id_eff`,`uid`,`name`,`timeUse`,`data`) VALUES ("' . $eff['oneType'] . '","' . $eff['id2'] . '","' . $uid . '","' . $n . '","' . time() . '","' . $d . '")');
        if ($ins) {
            $g[0] = 1;
            $g[1] = '...';
        }
    }
    return $g;
}

function en_ru($txt)
{
    $g = false;
    $en = preg_match("/^(([0-9a-zA-Z _-])+)$/i", $txt);
    $ru = preg_match("/^(([0-9а-яА-Я _-])+)$/i", $txt);
    if (($ru && $en) || (!$ru && !$en)) {
        $g = true;
    }
    return $g;
}

function hasGoodCode($code, $email)
{
    $q = 'select 1 from secure_code where `code` = %d and email = %s order by id desc limit 1';
    $check = mysql_fetch_row(mysql_query(sprintf($q, (int)$code, $email)));
    if ($check[0] !== 1) {
        return 'Неверный код безопасности (Проверте пробелы и сам код в последнем емеиле)';
    }
    return 1;
}

function error_check($id, $str_u, $name = 0)
{

    //***************************************************
    session_start();
    $error = '';
    if ($id == 1 && !empty($str_u)) // Проверка логина
    {
        $nologin = [0 => 'ангел', 1 => 'angel', 2 => 'администрация', 3 => 'administration', 4 => 'Комментатор', 5 => 'Мироздатель', 6 => 'Мусорщик', 7 => 'Падальщик', 8 => 'Повелитель', 9 => 'Архивариус', 10 => 'Пересмешник', 11 => 'Волынщик', 12 => 'Лорд Разрушитель', 13 => 'Милосердие', 14 => 'Справедливость', 15 => 'Искушение', 16 => 'Вознесение'];
        $i = 0;
        while ($i < count($nologin)) {
            if (preg_match("/" . $nologin[$i] . "/i", $str_u)) {
                $error = 'Выберите, пожалуйста, другой ник.';
                $i = count($nologin);
            }
            $i++;
        }
        $str_u = str_replace('  ', ' ', $str_u);
        //Логин от 4 до 20 символов
        if (strlen($str_u) > 20) {
            $error = 'Логин должен содержать не более 20 символов.';
            $error = $error . '<br> Пример правильного никнейма: Петя Убиватор, Коля, xalop. <br> Пример неправильного никнейма: )))), kolя)=-/.';
        }
        if (strlen($str_u) < 4) {
            $error = 'Логин должен содержать не менее 4 символов.';
            $error = $error . '<br> Пример правильного никнейма: Петя Убиватор, Коля, xalop. <br> Пример неправильного никнейма: )))), kolя)=-/.';
        }
        //Один алфавит
        $er = en_ru($str_u);
        if ($er) {
            $error = 'В логине разрешено использовать только буквы одного алфавита русского или английского. Нельзя смешивать.';
            $error = $error . '<br> Пример правильного никнейма: Петя Убиватор, Коля, xalop. <br> Пример неправильного никнейма: )))), kolя)=-/.';
        }
        //Разделители
        if (substr_count($str_u, ' ') + substr_count($str_u, '-') + substr_count($str_u, '_') > 2) {
            $error = 'Не более двух разделителей одновременно (пробел, тире, нижнее подчеркивание).';
            $error = $error . '<br> Пример правильного никнейма: Петя Убиватор, Коля, xalop. <br> Пример неправильного никнейма: )))), kolя)=-/.';
        }
        //Персонажи в базе
        $q = mysql_query('SELECT `id` from `users` where `login`="' . mysql_real_escape_string($str_u) . '" LIMIT 1');
        if ($q) {
            $log = mysql_fetch_array($q);
            unset($q);
        }
        $q = mysql_query('SELECT `id` from `lastnames` where `login`="' . mysql_real_escape_string($str_u) . '" LIMIT 1');
        if ($q) {
            $log2 = mysql_fetch_array($q);
            unset($q);
        }
        if (isset($log['id']) || isset($log2['id'])) {
            $error = 'Логин ' . $str_u . ' уже занят, выберите другой.';
        }
    }

    if ($id == 2 && !empty($str_u)) //проверка емаила
    {
        if (strlen($str_u) < 6 || strlen($str_u) > 50) {
            $error = 'E-mail не может быть короче 6-х символов и длинее 50-ти.';
        } else {
            $testEREm = mysql_fetch_array(mysql_query('SELECT `mail` FROM `users` WHERE `mail` LIKE "' . $str_u . '" LIMIT 1'));
            $emails = mysql_fetch_array(mysql_query('SELECT * FROM `ban_email` WHERE `email` LIKE "' . $str_u . '" LIMIT 1'));
            if (isset($testEREm['mail'])) {
                $error = 'E-mail уже занят.';
            }
            if (isset($emails['email'])) {
                $error = 'E-mail заблокирован свяжитесь с Администрацией.';
            }

            $x = 1;
            $i = 1;
            $tx = '<br>Возможно использовать только сервисы почты:<br>';
            $sp = mysql_query('SELECT * FROM `trust_email`');
            while ($pl = mysql_fetch_array($sp)) {
                $emailtest = $pl['email'];
                if (!preg_match("/" . $emailtest . "/i", $str_u)) {
                    $i++;
                }
                $tx = $tx . $pl['email'] . ' ';
                $x++;
            }
            if ($i == $x) {
                $error = 'Данный почтовый сервис использовать нельзя.' . $tx;
            }

        }
        if (!preg_match('#^[a-z0-9.!\#$%&\'*+-/=?^_`{|}~]+@([0-9.]+|([^\s]+\.+[a-z]{2,6}))$#si', $str_u)) {
            $error = 'Вы указали явно ошибочный E-mail.<br>';
        }
        if ($error != '') {
            $gd[4] = $error;
            $good = 0;
        } else {
            $gd[4] = 1;
        }
    }

    if ($id == 3 && !empty($str_u) && !empty($name)) //отсылка емаила при удачном емаиле str_u -> mail name -> nickname
    {
        $code = rand(10000000, 99999999);
        mysql_query('INSERT INTO `secure_code`(`email`, `code`, `time`) VALUES ("' . $str_u . '","' . $code . '","' . time() . '");');
        mails($str_u, 'Секретный Код: ' . $code, 'Секретный Код - Новый Бойцовский Клуб ' . $name);
    }

    if ($id == 4 && !empty($str_u) && !empty($name)) //проверка кода безопасности str_u -> введенный код name -> email
    {
        $testcode = mysql_fetch_array(mysql_query('SELECT code FROM `secure_code` WHERE `email` = "' . $name . '" ORDER BY id DESC LIMIT 1'));
        if ($testcode['code'] != $str_u) {
            $error = 'Неверный код безопасности (Проверте пробелы и сам код в последнем емеиле)';
        }
    }
    if ($id == 5 && !empty($str_u) && !empty($name)) //проверка пароля str_u -> p1 код name -> p2
    {
        if (strlen($str_u) < 8 || strlen($str_u) > 30) {
            $error = 'Длина пароля не может быть меньше 8 символов или более 30 символов.';
            $error = $error . '<br>Пример правильного пароля: Parol228, Kotik111, Pswerd112.<br>Пример неправильного пароля: parol228, kotik.';
        }
        if ($str_u != $name) {
            $error = 'В анкете пароль нужно ввести дважды, для проверки. Во второй раз вы его ввели неверно, будьте внимательнее.';
            $error = $error . '<br>Пример правильного пароля: Parol228, Kotik111, Pswerd112.<br>Пример неправильного пароля: parol228, kotik.';
        }
        if (!preg_match('/[a-zа-я]+/', $str_u)) {
            $error = 'Пароль не содержит букв нижнего регитра а..я/a..z.';
            $error = $error . '<br>Пример правильного пароля: Parol228, Kotik111, Pswerd112.<br>Пример неправильного пароля: parol228, kotik.';
        } elseif (!preg_match('/[A-ZА-Я]+/', $str_u)) {
            $error = 'Пароль не содержит букв верхнего регитра А..Я/A..Z .';
            $error = $error . '<br>Пример правильного пароля: Parol228, Kotik111, Pswerd112.<br>Пример неправильного пароля: parol228, kotik.';
        } else {
            if (!preg_match('/[0-9]+/', $str_u)) {
                $error = 'Пароль не содержит цифр.';
                $error = $error . '<br>Пример правильного пароля: Parol228, Kotik111, Pswerd112.<br>Пример неправильного пароля: parol228, kotik.';
            }
        }
    }


    //***************************************************
    return $error ? '<div class="visible_class"><h4>' . $error . '</h4></div>' : '';
}

if ($_SERVER['HTTP_USER_AGENT'] != '' &&
    $_SERVER['HTTP_USER_AGENT'] != 'Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0' &&
    $_SERVER['HTTP_USER_AGENT'] != 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:71.0) Gecko/20100101 Firefox/71.0' &&
    $_SERVER['HTTP_USER_AGENT'] != 'Mozilla/5.0 (Windows NT 10.0; rv:68.0) Gecko/20100101 Firefox/68.0'
) {
    ?>
    <!DOCTYPE html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
        <title>Регистрация - создай персонажа в игре Новый «Бойцовский клуб» </title>
        <meta name="description"
              content="Пройдите простую регистрацию и станьте участником ? браузерной онлайн игры-легенды БК. Боец, мы ждем тебя в наших рядах, поэтому заводи аккаунт скорей. "/>
    </head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>

    <style>
        body {
            background: #000;
            background-image: url(werhr.jpg); /* Путь к фоновому рисунку */
            background-position: top, bottom, left, right;; /* Положение фона */
            background-repeat: no-repeat; /* Отменяем повторение фона */

        }

        .visible_class {
            background-image: url(script.png); /* Путь к фоновому рисунку */
            background-size: 100% 100%;
            margin: 0;
            position: absolute;
            top: 45%;
            left: 50%;
            margin-right: -50%;
            #min-width: 600px;
            min-height: 200px;
            transform: translate(-50%, -50%)
        }

        .visible_class input {
            background: none repeat scroll 0 0 #720300;
            border-color: #720300 #327CB5 #327CB5 #720300;
            border-radius: 10px 10px 10px 10px;
            border-style: solid;
            border-width: 1px;
            box-shadow: 1px 1px 3px #333333;
            color: #FFFFFF;
            cursor: pointer;
            font-weight: bold;
            padding: 5px;
            text-shadow: 1px 1px 1px #000000;
            display: block;
            margin-right: auto;
            margin-left: auto;
        }

        .visible_class select {
            background: none repeat scroll 0 0 #720300;
            border-color: #720300 #327CB5 #327CB5 #720300;
            border-radius: 10px 10px 10px 10px;
            border-style: solid;
            border-width: 1px;
            box-shadow: 1px 1px 3px #333333;
            color: #FFFFFF;
            cursor: pointer;
            font-weight: bold;
            padding: 5px;
            text-shadow: 1px 1px 1px #000000;
            display: block;
            margin-right: auto;
            margin-left: auto;
            overflow-x: hidden;
            overflow-y: hidden;
        }

        .visible_class h3 {

            text-align: center;
            text-shadow: #000 0 0 10px; /* Свечение голубого цвета */
            color: #FFF;
            margin-top: 20px;
            margin-left: 50px;
            margin-right: 50px;
            #-webkit-text-stroke: 1px red;

        }

        .visible_class h4 {

            text-align: center;
            text-shadow: #000 0 0 10px;
            color: #ffc6c6;
            margin-bottom: 50px;
            margin-left: 50px;
            margin-right: 50px;
            #-webkit-text-stroke: 1px red;

        }

        .visible_class radio {

            text-align: center;
            text-shadow: #000 0 0 10px;
            color: red;
            #-webkit-text-stroke: 1px red;

        }

        .visible_class a:visited {
            color: red;
        }

        .visible_class_s input[type="submit"] {
            margin: 20px 0;
            padding: 0 10px;
            background: #a50000;
            color: #ffffff;
            font-size: 22px;
            text-transform: uppercase;
            border-width: 0;
            border-radius: 5px;
            cursor: pointer;
            transition: .2s linear
        }

        .visible_class_s input[type="submit"]:hover {
            background: #C44D58;
        }

        .visible_class_s {
            margin: 0;
            position: absolute;
            top: 80%;
            left: 50%;
            margin-right: -50%;
            transform: translate(-50%, -50%)
        }

        .invisible_class {
            display: none;
        }

        .form_radio_btn {
            display: inline-block;
            margin-right: 10px;
        }

        .form_radio_btn input[type=radio] {
            display: none;
        }

        .form_radio_btn label {
            display: inline-block;
            cursor: pointer;
            padding: 0px 15px;
            line-height: 34px;
            border: 1px solid #EEE;
            color: #EEE;
            border-radius: 6px;
            user-select: none;
        }

        /* Checked */
        .form_radio_btn input[type=radio]:checked + label {
            background: #790000;
            color: white;
        }

        /* Hover */
        .form_radio_btn label:hover {
            color: #FFF;
        }

        /* Disabled */
        .form_radio_btn input[type=radio]:disabled + label {
            background: #efefef;
            color: #666;
        }

        .box {
            background: linear-gradient(to right, gold, darkorange);
            color: white;
            --width: 250px;
            --height: calc(var(--width) / 3);
            width: var(--width);
            height: var(--height);
            text-align: center;
            line-height: var(--height);
            font-size: calc(var(--height) / 2.5);
            font-family: sans-serif;
            letter-spacing: 0.2em;
            border: 1px solid darkgoldenrod;
            border-radius: 2em;
            transform: perspective(500px) rotateY(-15deg);
            text-shadow: 6px 3px 2px rgba(0, 0, 0, 0.2);
            box-shadow: 2px 0 0 5px rgba(0, 0, 0, 0.2);
            transition: 0.5s;
            position: relative;
            overflow: hidden;
        }

        .box:hover {
            transform: perspective(500px) rotateY(15deg);
            text-shadow: -6px 3px 2px rgba(0, 0, 0, 0.2);
            box-shadow: -2px 0 0 5px rgba(0, 0, 0, 0.2);
        }

        .box::before {
            content: '';
            position: absolute;
            width: 100%;
            height: 100%;
            background: linear-gradient(to right, transparent, white, transparent);
            left: -100%;
            transition: 0.5s;
        }

        .box:hover::before {
            left: 100%;
        }
    </style>
    <form action="register.php" method="post">

    <?
    if (isset($_GET['ref']) || isset($_POST['ref'])) {
        ?>
        <div class="invisible_class">
            <p><input type="text" name="ref" value="<?
                if (isset($_GET['ref'])) {
                    print_r($_GET['ref']);
                } else {
                    print_r($_POST['ref']);
                }

                ?>"/></p>
        </div>
        <?
    }
    if (!isset ($_POST['nick_u'])) {
        ?>
        <div class="visible_class">
            <p>
            <h3>Введите никнейм для Вашего персонажа </h3><input type="text" name="nick_u"
                                                                 value="Введите ваш nickname"/></p>
        </div>
        <?
    } elseif (isset ($_POST['nick_u']) && error_check(1, $_POST['nick_u']) != "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Введите никнейм для Вашего персонажа </h3><input type="text" name="nick_u"
                                                                 value="<? print_r($_POST['nick_u']); ?>"/></p>
            <h4><? echo error_check(1, $_POST['nick_u']); ?></h4>
        </div>
        <?
    } else {
        ?>
        <div class="invisible_class">
            <p> Имя вашего персонажа (login): <input type="text" name="nick_u"
                                                     value="<? print_r($_POST['nick_u']); ?>"/></p>
        </div>
        <?
    } ?>
    <?
    if (empty($_POST['email_u']) && !empty($_POST['nick_u']) == true && error_check(1, $_POST['nick_u']) == "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Введите ваш действующий и настоящий "Email" адрес </h3><input type="text" name="email_u"
                                                                              value="Введите ваш email"/></p>
            <p>
            <h3>Внимание! Не используйте несуществующие "Email" адреса, а так же проверяйте то, какой эмеил вы вводите,
                ибо перед стартом игры, вам необходимо будет подтвердить ваш эмеил адрес.</h3></p>
            <p>
            <h3>Ваш "Email" Адрес не будет использоваться нигде и служит исключительно для того, чтобы вы смогли
                восстановить пароль от своего персонажа, а так же для получения новостной рассылки.</h3></p>
        </div>
        <?
    } elseif (isset ($_POST['email_u']) && error_check(2, $_POST['email_u']) != "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Введите ваш действующий и настоящий "Email" адрес </h3><input type="text" name="email_u"
                                                                              value="<? print_r($_POST['email_u']); ?>"/></p>
            <h4><? echo error_check(2, $_POST['email_u']); ?></h4>
        </div>
        <?
    } else {
        ?>
        <div class="invisible_class">
            <p><input type="text" name="email_u" value="<? print_r($_POST['email_u']); ?>"/></p>
        </div>

        <?
    } ?>


    <?
    if (empty($_POST['secure_code']) && !empty($_POST['email_u']) && error_check(2, $_POST['email_u']) == "" && error_check(3, $_POST['email_u'], $_POST['nick_u']) == "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Войдите на "Email": <? print_r($_POST['email_u']) ?> и проверьте почту, <br> вам пришло письмо с кодом
                подтверждения, скопируйте его и вставьте сюда: </h3><input type="text" name="secure_code"
                                                                           value="CODE"/></p>
        </div>
        <?
    } elseif (isset ($_POST['secure_code']) && error_check(4, $_POST['secure_code'], $_POST['email_u']) != "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Войдите на "Email": <? print_r($_POST['email_u']) ?> и проверьте почту, <br>вам пришло письмо с кодом
                подтверждения, скопируйте его и вставьте сюда: </h3><input type="text" name="secure_code"
                                                                           value="CODE"/></p>
            <h4><? echo error_check(4, $_POST['secure_code'], $_POST['email_u']); ?></h4>
        </div>
        <?
    } else {
        ?>
        <div class="invisible_class">
            <p><input type="text" name="secure_code" value="<? print_r($_POST['secure_code']); ?>"/></p>
        </div>

        <?
    } ?>

    <?
    if ((empty($_POST['pass1_u']) || empty($_POST['pass2_u'])) && !empty($_POST['secure_code']) && error_check(4, $_POST['secure_code'], $_POST['email_u']) == "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Придумайте пароль для Вашего персонажа </h3><input type="password" name="pass1_u" value=""/></p>
            <p>
            <h3>Подтвердите придуманный пароль для Вашего персонажа </h3><input type="password" name="pass2_u"
                                                                                value=""/></p><br>
            <p>
            <h3>Пароль должен состоять с букв верхнего и нижнего регистра, а так же, помимо букв, необходимо добавить и
                цифры для надёжности.</h3></p>
        </div>
        <?
    } elseif (!empty($_POST['pass1_u']) && !empty($_POST['secure_code']) && error_check(5, $_POST['pass1_u'], $_POST['pass2_u']) != "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Придумайте пароль для Вашего персонажа </h3><input type="password" name="pass1_u"
                                                                   value="<? print_r($_POST['pass1_u']); ?>"/></p>
            <p>
            <h3>Подтвердите придуманный пароль для Вашего персонажа </h3><input type="password" name="pass2_u"
                                                                                value="<? print_r($_POST['pass2_u']); ?>"/></p>
            <p>
            <h3>Пароль должен состоять с букв верхнего и нижнего регистра, а так же, помимо букв, необходимо добавить и
                цифры для надёжности.</h3></p>
            <h4><? echo error_check(5, $_POST['pass1_u'], $_POST['pass2_u']); ?></h4><br>
        </div>
        <?
    } else {
        ?>
        <div class="invisible_class">
            <p><input type="password" name="pass1_u" value="<? print_r($_POST['pass1_u']); ?>"/></p>
            <p><input type="password" name="pass2_u" value="<? print_r($_POST['pass2_u']); ?>"/></p>
        </div>
        <?
    } ?>

    <?
    if (empty($_POST['pol_u']) && !empty($_POST['pass1_u']) && !empty($_POST['pass2_u']) && error_check(5, $_POST['pass1_u'], $_POST['pass2_u']) == "") {
        ?>
        <div class="visible_class">
            <p>
            <h3>Выберите пол вашего персонажа:</h3>
            <select name="pol_u" size="2" multiple>
                <option value="10">Мужской</option>
                <option value="11">Женский</option>
            </select></p>
        </div>
        <?
    } else {
        ?>
        <div class="invisible_class">
            <select name="pol_u" size="2" multiple>
                <option selected value="<? print_r($_POST['pol_u']); ?>"></option>
                <option value="<? print_r($_POST['pol_u']); ?>"></option>
            </select></p>
        </div>
        <?
    } ?>

    <?
    if (empty($_POST['bday_u']) && !empty($_POST['pol_u'])) {
        ?>
        <div class="visible_class">
            <h3>Укажите дату вашего рождения:</h3>
            <input type="date" id="start" name="bday_u" value="1980-01-01" max="2003-01-01">
        </div>
        <?
    } else {
        ?>
        <div class="invisible_class">
            <input type="date" id="start" name="bday_u" value="<? print_r($_POST['bday_u']); ?>">
        </div>
        <?
    } ?>

    <?
    if (empty($_POST['class_u']) && !empty($_POST['bday_u'])) {
        ?>
        <div class="visible_class">
            <p>
            <h3>Выберите игровой класс для вашего персонажа:</h3></p>
            <p>
            <h3>Внимание! Выбор игрового класса не влияет на игру в целом и нигде не фиксируется или же используется,
                это необходимо для того, чтобы ваш персонаж получил нужные предметы в начале игры, а так же нужные
                баффы.</h3></p>
            <div style="margin-left: 23%;">
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="1" id="radio-1" checked> <label
                                for="radio-1">Топорщик</label></p>
                </div>
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="2" id="radio-2"> <label for="radio-2">Уворотчик</label>
                    </p>
                </div>
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="3" id="radio-3"> <label for="radio-3">Танк</label></p>
                </div>
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="4" id="radio-4"> <label for="radio-4">Критовик</label>
                    </p>
                </div>
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="5" id="radio-5"> <label for="radio-5">Маг
                            Воздуха</label></p>
                </div>
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="6" id="radio-6"> <label for="radio-6">Маг Огня</label>
                    </p>
                </div>
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="7" id="radio-7"> <label for="radio-7">Маг Земли</label>
                    </p>
                </div>
                <div class="form_radio_btn">
                    <p><input name="class_u" type="radio" value="8" id="radio-8"> <label for="radio-8">Маг Воды</label>
                    </p>
                </div>
            </div>
            <p>
            <h3>Внимание! Выбрав класс персонажа вы автоматически соглашаетесь с <a
                        href='https://new-combats.com/encicl/law2.html'>правилами и законами</a> игрового мира </h3></p>
            <br>
        </div>
        <?
    }
    if (!empty($_POST['nick_u']) && !empty($_POST['email_u']) && !empty($_POST['secure_code']) && !empty($_POST['pol_u']) && !empty($_POST['bday_u']) && !empty($_POST['class_u']) && error_check(4, $_POST['secure_code'], $_POST['email_u']) == "") {
        //================================
        session_start();
        include('_incl_data/class/__user.php');
        //Создаем персонажа
        if ($_POST['ref'] > 0) {
            $ref = mysql_fetch_array(mysql_query('SELECT `id`,`login` FROM `users` WHERE `id` = "' . mysql_real_escape_string($_POST['ref']) . '" LIMIT 1'));
            if (isset($ref['id'])) {
                $_POST['ref'] = $ref['id'];
            } else {
                $_POST['ref'] = 0;
            }
            unset($ref);
        }
        mysql_query('INSERT INTO `users` (`name`,`align`,`real`,`login`,`host_reg`,`pass`,`ip`,`ipreg`,`city`,`cityreg`,`room`,`timereg`,
		`activ`,`mail`,`bithday`,`sex`,`fnq`,`battle`,`design`,`molch2`,`level`
		) VALUES (
			"",
			"0",
			"1",
			"' . mysql_real_escape_string($_POST['nick_u']) . '",
			"' . mysql_real_escape_string(0 + (int)$_POST['ref']) . '",
			"' . mysql_real_escape_string(md5($_POST['pass1_u'])) . '",
			"' . mysql_real_escape_string(getIp()) . '",
			"' . mysql_real_escape_string(getIp()) . '",
			"capitalcity",
			"capitalcity",
			"9",
			"' . time() . '",			
			"0",
			"' . mysql_real_escape_string($_POST['email_u']) . '",
			"' . mysql_real_escape_string(date('d.m.Y', strtotime($_POST['bday_u']))) . '",
			"' . mysql_real_escape_string($_POST['pol_u'] - 10) . '",
			"0",
			"0",
			"1",
			"' . mysql_real_escape_string(time() + 86400) . '",
			"8"
		)');

        $uid = mysql_insert_id();
        if ($uid > 0) {
            //===================================================================

            if (isset($_COOKIE['from'])) {
                mysql_query('INSERT INTO `from` (`type`,`ip`,`uid`,`time`,`val`) VALUES ( "0", "' . getIp() . '","' . $uid . '", "' . time() . '", "' . mysql_real_escape_string($_COOKIE['from']) . '" ) ');
            }
            //Сообщения при регистрации от паладинов.
            $pal = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `align` > 1 AND `align` < 2 AND `online` > "' . (time() - 120) . '" ORDER BY `online` DESC LIMIT 1'));
            if (!isset($pal['id'])) {
                $pal = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `align` > 3 AND `align` < 4 AND `online` > "' . (time() - 120) . '" ORDER BY `online` DESC LIMIT 1'));
            }
            if (isset($pal['id'])) {
                //отсылаем сообщение от $pal['login']
                $paltext = 'Приветствую ' . $_POST['nick_u'] . '. Отправляемся драться в хаоты, если нет заявок, создайте бой, дополнительно купите зверя и не забывайте выходить на центральную площать убивать Трупожора своего уровня!Приятной игры. ';
                mysql_query("INSERT INTO `chat` (`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`new`) VALUES ('capitalcity','0','" . $pal['login'] . "','" . $_POST['nick_u'] . "','" . $paltext . "','" . time() . "','3','0','1')");
            } else {
                //Не знаю что делать, пусть будет просто приветствие :)
                $text = 'Приветствую <b>' . $_POST['nick_u'] . '</b>. Отправляемся драться в хаоты, если нет заявок, создайте бой, дополнительно купите зверя и не забывайте выходить на центральную площать убивать Трупожора своего уровня!Приятной игры.';
                mysql_query("INSERT INTO `chat` (`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`new`) VALUES ('capitalcity','0','','" . $_POST['nick_u'] . "','" . $text . "','" . time() . "','3','0','1')");
            }

            //$text = 'Приветствую <b>'.$_POST['nick_u'].'</b>. Крайне рекомендую прочесть мини гайд по ссылке https://new-combats.com/forum?read=5762&rnd=1 , если останутся вопросы,задавайте в общий чат!';
            //mysql_query("INSERT INTO `chat` (`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`new`) VALUES ('capitalcity','0','','".$_POST['nick_u']."','".$text."','".time()."','6','0','1')");

            /** Много однотипых запросов это боль.
             *
             * @param array  $itemset
             * @param double $itemscost
             * @param string $stats
             *
             * @return void
             */
            function sql_01(array $itemset, $itemscost, $stats)
            {
                global $u, $uid;
                array_unshift($itemset, null);
                foreach ($itemset as $inodet => $itemId) {
                    if (empty($itemId)) {
                        continue;
                    }
                    mysql_query(sprintf('update items_users set 
                                           1price = (select price_1 from items_shop where sid = 1 and item_id = %d), 
                                           inOdet = %d 
                                       where id = %d',
                        $itemId, $inodet, $u->addItem($itemId, $uid)));
                }
                mysql_query(sprintf('update users set money = money - %f where id = %d', $itemscost, $uid));
                mysql_query(sprintf('insert into stats (id, stats, ability, skills, exp) 
                                                    values (%d, %s, -75, -9, 100000)', $uid, $stats));
            }

            if ($_POST['class_u'] == 1) //топор
            {
                //кастим эфекты
                $us = add_effn($uid, 1); // сила
                $us = add_effn($uid, 20); // сокрушение

                $wear = [528, 540, 552, 291, 543, null, 627, 653, 681, 687, 687, 687, 320, 552, null, 709, 716];
                $itemcost = 2101;
                $stats = 's1=62|s2=3|s3=3|s4=30|rinv=40|m9=5|m6=10|s7=0|a1=0|a2=9|a3=0|a4=0|a5=0|mg1=0|mg2=0|mg3=0|mg4=0|mg5=0|mg6=0|mg7=0|s5=0|s6=0|a6=0|s8=0|s9=0|s10=0|s11=0|s12=0|s13=0|s14=0|s15=0';

            } elseif ($_POST['class_u'] == 2) //уворот
            {
                //кастим эфекты
                $us = add_effn($uid, 8); // ловка
                $us = add_effn($uid, 20); // сокрушение

                $wear = [525, 539, 523, 290, 541, null, 633, 647, 680, 685, 685, 685, 1151, 523, null, 707, 712];
                $itemcost = 1972;
                $stats = 's1=21|s2=31|s3=16|s4=30|rinv=40|m9=5|m6=10|s7=0|a1=9|a2=0|a3=0|a4=0|a5=0|mg1=0|mg2=0|mg3=0|mg4=0|mg5=0|mg6=0|mg7=0|s5=0|s6=0';

            } elseif ($_POST['class_u'] == 3)//танк
            {
                //кастим эфекты
                $us = add_effn($uid, 1); // сила
                $us = add_effn($uid, 20); // сокрушение

                $wear = [533, 536, 558, 291, 545, null, 628, 654, 684, 689, 689, 689, 700, 722, null, 710, 718];
                $itemcost = 2101;
                $stats = 's1=42|s2=3|s3=3|s4=50|rinv=40|m9=5|m6=10|s7=0|a1=0|a2=0|a3=9|a4=0|a5=0|mg1=0|mg2=0|mg3=0|mg4=0|mg5=0|mg6=0|mg7=0|s5=0|s6=0|a6=0|s8=0|s9=0|s10=0|s11=0|s12=0|s13=0|s14=0|s15=0';

            } elseif ($_POST['class_u'] == 4)//крит
            {
                //кастим эфекты
                $us = add_effn($uid, 7); // инта
                $us = add_effn($uid, 20); // сокрушение

                $wear = [527, 537, 567, 291, 544, null, 626, 651, 683, 686, 686, 686, 706, 723, null, 708, 717];
                $itemcost = 1988;
                $stats = 's1=24|s2=20|s3=24|s4=30|rinv=40|m9=5|m6=10|s7=0|a1=0|a2=0|a3=0|a4=9|a5=0|mg1=0|mg2=0|mg3=0|mg4=0|mg5=0|mg6=0|mg7=0|s5=0|s6=0|a6=0|s8=0|s9=0|s10=0|s11=0|s12=0|s13=0|s14=0|s15=0';

            } elseif ($_POST['class_u'] == 5)//воздух
            {
                //кастим эфекты
                $us = add_effn($uid, 9); // интелект
                $us = add_effn($uid, 32); // Холодный разум
                $us = add_effn($uid, 53); // Маг уселок воздух
                $us = add_effn($uid, 439); // Маг уселок


                mysql_query("INSERT INTO `stats` (`id`,`stats`,`ability`,`skills`,exp) VALUES ('" . $uid . "','s1=14|s2=3|s3=3|s4=25|rinv=40|m9=5|m6=10|s7=0|a1=0|a2=0|a3=0|a4=0|a5=3|mg1=0|mg2=6|mg3=0|mg4=0|mg5=0|mg6=0|mg7=0|s5=13|s6=40|a6=0|s8=0|s9=0|s10=0|s11=0|s12=0|s13=0|s14=0|s15=0',-75,-9,100000)");
                $re = $u->addItem(531, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 1 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "531" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(534, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 2 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "534" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(1026, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 3 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "1026" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(291, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 4 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "291" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(548, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 5 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "548" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(629, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 7 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "629" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(698, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 13 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "698" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(711, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 16 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "711" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(714, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 17 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "714" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                ///------- юва
                $re = $u->addItem(658, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 8 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "658" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(675, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 9 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "675" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(693, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 10 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "693" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(693, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 11 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "693" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(693, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 12 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "693" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                ///----
                mysql_query('UPDATE `users` SET `money` = `money`-1988 WHERE `id` = "' . $uid . '" LIMIT 1');//коректировка денег 2244 - 1988
            } elseif ($_POST['class_u'] == 6)//огонь
            {
                //кастим эфекты
                $us = add_effn($uid, 9); // интелект
                $us = add_effn($uid, 32); // Холодный разум
                $us = add_effn($uid, 51); // Маг уселок огонь
                $us = add_effn($uid, 439); // Маг уселок

                mysql_query("INSERT INTO `stats` (`id`,`stats`,`ability`,`skills`,exp) VALUES ('" . $uid . "','s1=14|s2=3|s3=3|s4=25|rinv=40|m9=5|m6=10|s7=0|a1=0|a2=0|a3=0|a4=0|a5=3|mg1=6|mg2=0|mg3=0|mg4=0|mg5=0|mg6=0|mg7=0|s5=13|s6=40|a6=0|s8=0|s9=0|s10=0|s11=0|s12=0|s13=0|s14=0|s15=0',-75,-9,100000)");
                $re = $u->addItem(531, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 1 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "531" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(534, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 2 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "534" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(1026, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 3 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "1026" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(291, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 4 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "291" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(549, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 5 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "549" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(629, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 7 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "629" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(698, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 13 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "698" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(711, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 16 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "711" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(714, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 17 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "714" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                ///------- юва
                $re = $u->addItem(655, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 8 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "655" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(679, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 9 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "679" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(696, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 10 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "696" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(696, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 11 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "696" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(696, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 12 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "696" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                ///----

                mysql_query('UPDATE `users` SET `money` = `money`-1988 WHERE `id` = "' . $uid . '" LIMIT 1');//коректировка денег 2244 - 1988
            } elseif ($_POST['class_u'] == 7)//земля
            {


                //кастим эфекты
                $us = add_effn($uid, 9); // интелект
                $us = add_effn($uid, 32); // Холодный разум
                $us = add_effn($uid, 54); // Маг уселок земля
                $us = add_effn($uid, 439); // Маг уселок

                mysql_query("INSERT INTO `stats` (`id`,`stats`,`ability`,`skills`,exp) VALUES ('" . $uid . "','s1=14|s2=3|s3=3|s4=25|rinv=40|m9=5|m6=10|s7=0|a1=0|a2=0|a3=0|a4=0|a5=3|mg1=0|mg2=0|mg3=0|mg4=6|mg5=0|mg6=0|mg7=0|s5=13|s6=40|a6=0|s8=0|s9=0|s10=0|s11=0|s12=0|s13=0|s14=0|s15=0',-75,-9,100000)");
                $re = $u->addItem(531, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 1 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "531" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(534, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 2 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "534" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(1026, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 3 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "1026" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(291, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 4 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "291" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(548, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 5 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "548" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(629, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 7 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "629" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(698, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 13 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "698" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(711, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 16 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "711" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(714, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 17 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "714" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                ///------- юва
                $re = $u->addItem(657, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 8 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "657" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(674, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 9 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "674" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(692, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 10 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "692" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(692, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 11 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "692" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(692, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 12 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "692" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                ///----

                mysql_query('UPDATE `users` SET `money` = `money`-1988 WHERE `id` = "' . $uid . '" LIMIT 1');//коректировка денег 2244 - 1988
            } elseif ($_POST['class_u'] == 8)//вода
            {
                //кастим эфекты
                $us = add_effn($uid, 9); // интелект
                $us = add_effn($uid, 32); // Холодный разум
                $us = add_effn($uid, 52); // Маг уселок вода
                $us = add_effn($uid, 439); // Маг уселок
                mysql_query("INSERT INTO `stats` (`id`,`stats`,`ability`,`skills`,exp) VALUES ('" . $uid . "','s1=14|s2=3|s3=3|s4=25|rinv=40|m9=5|m6=10|s7=0|a1=0|a2=0|a3=0|a4=0|a5=3|mg1=0|mg2=0|mg3=6|mg4=0|mg5=0|mg6=0|mg7=0|s5=13|s6=40|a6=0|s8=0|s9=0|s10=0|s11=0|s12=0|s13=0|s14=0|s15=0',-75,-9,100000)");
                $re = $u->addItem(531, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 1 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "531" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(534, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 2 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "534" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(1026, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 3 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "1026" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(291, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 4 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "291" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(548, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 5 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "548" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(629, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 7 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "629" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(318, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 13 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "318" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(711, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 16 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "711" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(714, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 17 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "714" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                ///------- юва
                $re = $u->addItem(660, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 8 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "660" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(677, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 9 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "677" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');

                $re = $u->addItem(695, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 10 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "695" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(695, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 11 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "695" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                $re = $u->addItem(695, $uid);
                mysql_query('UPDATE `items_users` SET `inodet` = 12 WHERE `id` = "' . $re . '" LIMIT 1');
                $price = mysql_fetch_array(mysql_query('SELECT `price_1` FROM `items_shop` WHERE `item_id` = "695" AND `sid`=1 LIMIT 1'));
                mysql_query('UPDATE `items_users` SET `1price` = "' . $price['price_1'] . '" WHERE `id` = "' . $re . '" LIMIT 1');
                ///----

                mysql_query('UPDATE `users` SET `money` = `money`-1988 WHERE `id` = "' . $uid . '" LIMIT 1');//коректировка денег 2244 - 1988
            }

            if (!empty($wear) && !empty($itemcost) && !empty($stats)) {
                sql_01($wear, $itemcost, $stats);
                unset($wear, $itemcost, $stats);
            }

            if ($_POST['ref'] > 0) {
                $re = $u->addItem(6417, $uid);
            }

            //катим эфекты
            //
            //
            $us = add_effn($uid, 37);
            $us = add_effn($uid, 38);
            $us = add_effn($uid, 283);
            $us = add_effn($uid, 25);
            $us = add_effn($uid, 296);
            $us = add_effn($uid, 472);

            //Магическое усиление
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (4942, 40, 0.00, 0.00, 0.00, " . $uid . ", 0, 'oneType=72|onlyOne=1|musor=1|noremont=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 4, 'Администрация', '', '', 1, 2, '439', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Защита от оружия
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (1001, 40, 0.00, 0.00, 0.00, " . $uid . ", 0, 'onlyOne=1|oneType=7|noremont=1|musor=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 4, 'Администрация', '', '', 1, 2, '25', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Защита от магии
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (4941, 40, 0.00, 0.00, 0.00, " . $uid . ", 0, 'oneType=71|onlyOne=1|musor=1|noremont=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 4, 'Администрация', '', '', 1, 2, '438', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Жажда жизни +6
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (3101, 50, 0.00, 0.00, 0.00, " . $uid . ", 0, 'onlyOne=1|noremont=1|oneType=33|musor=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 2, '296', 'capitalcity', " . time() . ", 0, 33, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Аптечка (Исцеляет легкие травмы)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (4412, 7, 0.00, 0.00, 0.00, " . $uid . ", 0, 'tr_lvl=1|useOnLogin=1|musor=1|noremont=1', 0, 0, 0, 0, 0.00, 2, 'Администрация', '', '', 1, 2, 'lech_free_1', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Аптечка (Исцеляет средние травмы)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (4413, 14, 0.00, 0.00, 0.00, " . $uid . ", 0, 'tr_lvl=1|useOnLogin=1|musor=1|noremont=1', 0, 0, 0, 0, 0.00, 2, 'Администрация', '', '', 1, 2, 'lech_free_2', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Аптечка (Исцеляет тяжелые травмы)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (4414, 21, 0.00, 0.00, 0.00, " . $uid . ", 0, 'tr_lvl=1|useOnLogin=1|musor=1|noremont=1', 0, 0, 0, 0, 0.00, 2, 'Администрация', '', '', 1, 2, 'lech_free_3', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Холодный разум
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (1460, 15, 0.00, 0.00, 0.00, " . $uid . ", 0, 'musor=1|noremont=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 5, '32', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Сокрушение
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (994, 40, 0.00, 0.00, 0.00, " . $uid . ", 0, 'onlyOne=1|oneType=44|noremont=1|musor=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 4, 'Администрация', '', '', 1, 4, '20', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Эликсир жизни (восстанавливает +500 хп)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (4736, 5, 0.00, 0.00, 0.00, " . $uid . ", 0, 'moment=1|moment_hp=500|nohaos=1|musor=2|noremont=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 10, 'Администрация', '', '', 1, 4, 'elicsir_hp -w500', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Зелье жизни (восстанавливает +200 хп)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (724, 2, 0.00, 0.00, 0.00, " . $uid . ", 0, 'moment=1|moment_hp=200|nohaos=1|musor=2|noremont=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 10, 'Администрация', '', '', 1, 4, 'elicsir_hp -w200', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Зелье могущества (+10 силы)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (870, 5, 0.00, 0.00, 0.00, " . $uid . ", 0, 'nohaos=1|onlyOne=1|oneType=1|musor=2|noremont=1|nohaos=1|onlyOne=1|oneType=1|noremont=1|add_s1=15|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 4, '1', 'capitalcity', " . time() . ", 0, 1, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Зелье стремительности (+10 ловкости)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (872, 5, 0.00, 0.00, 0.00, " . $uid . ", 0, 'nohaos=1|onlyOne=1|oneType=1|musor=2|noremont=1|nohaos=1|onlyOne=1|oneType=1|noremont=1|add_s2=15|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 4, '8', 'capitalcity', " . time() . ", 0, 1, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Зелье прозрения(+10 интуиции)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (871, 5, 0.00, 0.00, 0.00, " . $uid . ", 0, 'nohaos=1|onlyOne=1|oneType=1|musor=2|noremont=1|nohaos=1|onlyOne=1|oneType=1|noremont=1|add_s3=15|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 4, '7', 'capitalcity', " . time() . ", 0, 1, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Зелье разума(+10 интеллекта)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (873, 5, 0.00, 0.00, 0.00, " . $uid . ", 0, 'nohaos=1|onlyOne=1|oneType=1|musor=2|noremont=1|nohaos=1|onlyOne=1|oneType=1|noremont=1|add_s5=15|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 4, '9', 'capitalcity', " . time() . ", 0, 1, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Нектар Отрицания(+160 защиты от магии)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (2140, 30, 0.00, 0.00, 0.00, " . $uid . ", 0, 'nohaos=1|onlyOne=1|oneType=8|musor=2|noremont=1|add_zm=160|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 4, '38', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Нектар уязвимости(+160 защиты от урона)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (2139, 30, 0.00, 0.00, 0.00, " . $uid . ", 0, 'nohaos=1|onlyOne=1|oneType=8|musor=2|noremont=1|add_za=160|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 5, 'Администрация', '', '', 1, 4, '37', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");
            //Бутер (+180 хп)
            mysql_query("INSERT INTO `items_users` (`item_id`, `1price`, `2price`, `3price`, `4price`, `uid`, `use_text`, `data`, `inOdet`, `inShop`, `inGroup`, `delete`, `iznosNOW`, `iznosMAX`, `gift`, `gtxt1`, `gtxt2`, `kolvo`, `geniration`, `magic_inc`, `maidin`, `lastUPD`, `timeOver`, `overType`, `secret_id`, `time_create`, `time_sleep`, `dn_delete`, `inTransfer`, `post_delivery`, `lbtl_`, `bexp`, `so`, `blvl`, `pok_itm`, `btl_zd`) VALUES
            (3075, 10, 0.00, 0.00, 0.00, " . $uid . ", 0, 'nohaos=1|onlyOne=1|oneType=4|musor=1|noremont=1|sudba=1|nosale=1', 0, 0, 0, 0, 0.00, 10, 'Администрация', '', '', 1, 4, '283', 'capitalcity', " . time() . ", 0, 0, '', " . time() . ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);");

            mysql_query('UPDATE `users` SET `online` = "' . time() . '" WHERE `id` = "' . $uid . '" LIMIT 1');

            //Создаем статы персонажа
            mysql_query("INSERT INTO `online` (`uid`,`timeStart`) VALUES ('" . $uid . "','" . time() . "')");

            //добовляем благодать ангела 1н день
            $ttime = time();
            mysql_query("INSERT INTO `eff_users`(`id_eff`, `uid`, `name`, `data`, `overType`, `timeUse`, `timeAce`, `user_use`, `delete`, `v1`, `v2`, `img2`, `x`, `hod`, `bj`, `sleeptime`, `no_Ace`, `file_finish`, `tr_life_user`, `deactiveTime`, `deactiveLast`, `mark`, `bs`) VALUES 
			(412,'" . $uid . "','Благодать Ангела [1]','add_gold=1|add_speedhp=35|add_speedmp=35|add_exp=35|add_repair_discount=25|add_speed_dungeon=10|add_hpVinos=5|add_m10=5|add_m11=5|add_za=25|add_zma=25',52," . $ttime . ",0,'',0,0,0,'',1,-1,0,0,1,'',0,0,0,0,0)");
            
            //мульты
            $ipm1 = mysql_fetch_array(mysql_query('SELECT * FROM `logs_auth` WHERE `uid` = "' . mysql_real_escape_string($uid) . '" AND `ip`!="' . mysql_real_escape_string(getIp()) . '" ORDER BY `id` ASC LIMIT 1'));
            $ppl = mysql_query('SELECT * FROM `logs_auth` WHERE `ip`!="" AND (`ip` = "' . mysql_real_escape_string(getIp()) . '" OR `ip`="' . mysql_real_escape_string($ipm1['ip']) . '" OR `ip`="' . mysql_real_escape_string($_COOKIE['ip']) . '")');
            while ($spl = mysql_fetch_array($ppl)) {
                $ml = mysql_fetch_array(mysql_query('SELECT `id` FROM `mults` WHERE (`uid` = "' . $spl['uid'] . '" AND `uid2` = "' . $uid . '") OR (`uid2` = "' . $spl['uid'] . '" AND `uid` = "' . $uid . '") LIMIT 1'));
                if (!isset($ml['id']) && $spl['ip'] != '' && $spl['ip'] != '127.0.0.1') {
                    mysql_query('INSERT INTO `mults` (`uid`,`uid2`,`ip`) VALUES ("' . $uid . '","' . $spl['uid'] . '","' . $spl['ip'] . '")');
                }
            }
            mysql_query("INSERT INTO `logs_auth` (`uid`,`ip`,`browser`,`type`,`time`,`depass`) VALUES ('" . $uid . "','" . mysql_real_escape_string(getIp()) . "','" . mysql_real_escape_string($_SERVER['HTTP_USER_AGENT']) . "','1','" . time() . "','')");

            //Обновяем таблицы
            mysql_query("UPDATE `users` SET `online`='" . time() . "',`ip` = '" . mysql_real_escape_string(getIp()) . "' WHERE `uid` = '" . $uid . "' LIMIT 1");

            if (!setcookie('login', $_POST['nick_u'], (time() + 60 * 60 * 24 * 7), '', '.new-combats.com') || !setcookie('pass', md5($_POST['pass1_u']), (time() + 60 * 60 * 24 * 7), '', '.new-combats.com')) {
                die('Ошибка сохранения cookie.');
            } else {

                die('Спасибо за регистрацию в игровом мире Бойцовского Клуба, желаем вам побед и долгой игры.
В случае вопросов по игре, Вам будет доступен общий чат!<br><script>function test(){ top.location.href="https://new-combats.com/bk"; } setTimeout("test()",100);</script>');

            }

            setcookie('login', $_POST['nick_u'], time() + 60 * 60 * 24 * 7, '', $c['host']);
            setcookie('pass', md5($_POST['pass1_u']), time() + 60 * 60 * 24 * 7, '', $c['host']);
            setcookie('login', $_POST['nick_u'], time() + 60 * 60 * 24 * 7);
            setcookie('pass', md5($_POST['pass1_u']), time() + 60 * 60 * 24 * 7);

            header('location: https://new-combats.com/bk');

            //===================================================================
        }
        //================================
    } else {
        ?>
        <div class="visible_class_s">
            <p><input class="box" type="submit"/></p>
        </div>
        </form>

        <?
    }
}